﻿@charset "utf-8";

html, body {
    height: 100%;
    min-height: 100%;
}

body {
    background: #eee;
}

.grid-container {
    height: 100%;
}

.grid-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    grid-template-areas: "Header" "Main" "Footer";
}


@media all and (-ms-high-contrast:none) {
    .grid-container {
        display: -ms-grid;
        -ms-grid-columns: 1fr;
        -ms-grid-rows: auto 1fr auto;
    }
}

#header {
    grid-area: Header;
    display: block;
    background: #fff;
    color: #fff;
    position: relative;
}

#main {
    grid-area: Main;
    display: block;
}    

#footer {
    grid-area: Footer;
    display: block;
}

#footer {
    background: #999;
    color: #fff;
    text-align: center;
    line-height: 2rem;
    font-size: 0.9rem;
    font-weight: normal;
}

@media only screen and (max-width : 480px) {
    #header .logo {
        display:none;
    }

    #main .logo {
        display: block;
    }

    .hideMobile {
        display: none;
    }
}

@media only screen and (min-width:481px) {
    .container {
        min-width: 820px;
        max-width: 1040px;
        margin: 0 auto;
    }

    #header .logo {
        height: 50px;
        padding: 5px 0 5px 5px;
    }

    #main .logo {
        display: none;
    }
}
